Get app stats

Retrieves job statistics for an app aggregated across all integrations including processing, pending, failed, completed today, and to-be-retried counts

GET/v1/apps/{app_id}/stats
API
Integrations
Updated
Apr 26, 2026

integrations-api:GET:/v1/apps/{app_id}/stats

Retrieves job statistics for an app aggregated across all integrations including processing, pending, failed, completed today, and to-be-retried counts

API ownership

  • API family: Integrations API
  • Best for: Integration records, setup verification, app and integration stats, and sync job operations.
  • Do not use from: Direct catalog, media, order, identity, or storefront reads and writes.
  • Guide route: /integrations

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: GET
  • Path: /v1/apps/\{app_id\}/stats
  • Summary: Get app stats
  • Description: Retrieves job statistics for an app aggregated across all integrations including processing, pending, failed, completed today, and to-be-retried counts
  • OpenAPI contract: integrations-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters1 parameter
NameInRequiredTypeDescription
app_idpathYesstringApp UUID
Request bodyNo documented body

Not documented in the OpenAPI contract.

Responses4 statuses
StatusDescriptionContent
200App job statisticsapplication/json
400Invalid requestapplication/json (object)
404App not foundapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Schema

PropertyTypeRequiredDetails
dataobjectNo-
successbooleanNo-
Job Stats
PropertyTypeRequiredDetails
completed_todayintegerNo-
failedintegerNo-
pending_retryingintegerNo-
processingintegerNo-
to_be_retriedintegerNo-

Generated example (synthetic):

{
  "data": {
    "completed_today": 0,
    "failed": 0,
    "pending_retrying": 0,
    "processing": 0,
    "to_be_retried": 0
  },
  "success": false
}

400 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

404 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

500 - object

Error

PropertyTypeRequiredDetails
detailsstringNo-
errorstringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": "string",
  "error": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Integrations API
  • Method: GET
  • Path: /v1/apps/\{app_id\}/stats
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Stats
  • OpenAPI summary: Get app stats

Get app stats

# Get app stats Retrieves job statistics for an app aggregated across all integrations including processing, pending, failed, completed today, and to-be-retried counts
GET /v1/apps/{app_id}/stats
Purpose

Retrieves job statistics for an app aggregated across all integrations including processing, pending, failed, completed today, and to-be-retried counts

Required inputs

app_id path

Primary response

200 ยท App job statistics

Operation key

integrations-api:GET:/v1/apps/{app_id}/stats

## API ownership - API family: Integrations API - Best for: Integration records, setup verification, app and integration stats, and sync job operations. - Do not use from: Direct catalog, media, order, identity, or storefront reads and writes. - Guide route: [/integrations](/integrations) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `GET` - Path: `/v1/apps/{app_id}/stats` - Summary: Get app stats - Description: Retrieves job statistics for an app aggregated across all integrations including processing, pending, failed, completed today, and to-be-retried counts - OpenAPI contract: integrations-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:GET:/v1/apps/{app_id}/stats` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | App UUID | ## Request body Not documented in the OpenAPI contract. ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | App job statistics | application/json | | 400 | Invalid request | application/json (object) | | 404 | App not found | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Schema | Property | Type | Required | Details | | --- | --- | --- | --- | | `data` | object | No | - | | `success` | boolean | No | - | ##### Job Stats | Property | Type | Required | Details | | --- | --- | --- | --- | | `completed_today` | integer | No | - | | `failed` | integer | No | - | | `pending_retrying` | integer | No | - | | `processing` | integer | No | - | | `to_be_retried` | integer | No | - | **Generated example (synthetic):** ```json { "data": { "completed_today": 0, "failed": 0, "pending_retrying": 0, "processing": 0, "to_be_retried": 0 }, "success": false } ``` ### 400 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 404 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ### 500 - object #### Error | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string | No | - | | `error` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": "string", "error": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Integrations API - Method: `GET` - Path: `/v1/apps/{app_id}/stats` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `integrations-api:GET:/v1/apps/{app_id}/stats` - OpenAPI tag: Stats - OpenAPI summary: Get app stats